Name: mysql3
Version: 3.23.58
Release: alt1

%def_enable compat
%def_without debug
%def_disable gif2png
%define mysql_version %version
%define mysqld_user mysql
%define _libexecdir %_sbindir
%define ROOT %_localstatedir/mysql

Summary: MySQL: A very fast and reliable SQL database engine
Summary(ru_RU.KOI8-R): MySQL:     SQL-
Group: Databases
License: GPL / LGPL
Url: http://www.mysql.com/
Packager: MySQL Development Team <mysql@packages.altlinux.org>

# http://www.mysql.com/Downloads/MySQL-3.23/mysql-%mysql_version.tar.bz2
Source: ftp://ftp.sunet.se/pub/unix/databases/relational/mysql/Downloads/MySQL-3.23/mysql-%mysql_version.tar.bz2
Source1: mysqld.init
Source2: mysql.logrotate
Source3: safe_mysqld
Source4: mysqld_wrapper
Source5: my.cnf
Source6: mysql.chroot.lib
Source7: mysql.chroot.conf
Source8: mysql.chroot.all

Patch1: mysql-3.23.52-alt-client.patch
Patch2: mysql-3.23.42-alt-texinfo.patch
Patch3: mysql-3.23.55-alt-chroot.patch
Patch4: mysql-3.23.52-alt-mysql_install_db.patch
Patch5: mysql-3.23.49-alt-config.patch
#Patch6: mysql-3.23.42-alt-optimize.patch
#Patch7: mysql-3.23.42-alt-use-external-db.patch
Patch8: mysql-3.23.42-alt-fix-internal-db.patch
Patch9: mysql-3.23.42-alt-bench.patch
Patch10: mysql-3.23.56-alt-docs-html-split.patch
Patch11: mysql-3.23.52-alt-missing-headers.patch
Patch12: mysql-3.23.56-alt-tinfo.patch
Patch13: mysql-3.23.55-alt-configure.patch
Patch14: mysql-3.23.56-alt-load_defaults.patch

%if_enabled gif2png
BuildPreReq: gif2png
%endif

BuildPreReq: perl-DBI, perl-GD1

# Automatically added by buildreq on Tue Mar 18 2003
BuildRequires: gcc-c++ glibc-devel-static libreadline-devel libstdc++-devel libtinfo-devel tetex-core zlib-devel

%package -n libmysqlclient10
Summary: MySQL: Shared libraries
Summary(ru_RU.KOI8-R): MySQL:  
License: LGPL
Group: System/Libraries
Provides: libMySQL = %version-%release, MySQL-shared = %version-%release, mysql-shared = %version-%release
Obsoletes: libMySQL < %version-%release, MySQL-shared-libs, MySQL-shared, mysql-shared

%package -n libMySQL-devel
Summary: MySQL: Development header files and libraries
Summary(ru_RU.KOI8-R): MySQL:      
License: LGPL
Group: Development/C
Provides: MySQL-devel = %version, mysql-devel = %version
Obsoletes: MySQL-devel, mysql-devel
Requires: libmysqlclient10 = %version-%release

%package -n libMySQL-devel-static
Summary: MySQL: Development static libraries
Summary(ru_RU.KOI8-R): MySQL:      
License: LGPL
Group: Development/C
Provides: MySQL-devel = %version, mysql-devel-static = %version
Requires: libMySQL-devel = %version-%release

%package -n MySQL-client
Summary: MySQL: Client
Summary(ru_RU.KOI8-R): MySQL: 
License: GPL
Group: Databases
Provides: mysql-client = %version
Obsoletes: mysql-client
Requires(post,preun): %__install_info
Requires: libmysqlclient10 = %version-%release, perl-base
AutoReq: yes, noperl

%package -n MySQL-server
Summary: MySQL: A very fast and reliable SQL database engine
Summary(ru_RU.KOI8-R): MySQL:     SQL-
License: GPL
Group: Databases
Provides: MySQL = %version, mysql-server = %version, mysql, msqlormysql, mysqlserver
Obsoletes: MySQL, mysql, mysql-server, msqlormysql, mysqlserver
PreReq: shadow-utils, coreutils
Requires(post,preun): chkconfig, chrooted, coreutils, findutils, grep, sed, %__subst
PreReq: libmysqlclient10 = %version-%release, MySQL-client = %version-%release

%package -n MySQL-server-perl
Summary: MySQL: Perl utils for MySQL-server
License: GPL
Group: Databases
Requires: perl-DBD-mysql, MySQL-server = %version-%release

%package -n MySQL-bench
Summary: MySQL: Benchmarks
Summary(ru_RU.KOI8-R): MySQL:  
License: GPL
Group: Databases
Provides: mysql-bench = %version
Obsoletes: mysql-bench
Requires: MySQL-client = %version-%release, perl-DBD-mysql

%package -n MySQL-doc
Summary: MySQL: Documentation
Summary(ru_RU.KOI8-R): MySQL: 
Group: Databases
Provides: mysql-doc = %version
Obsoletes: mysql-doc

%define see_base For a description of MySQL see the base MySQL RPM or %url
%define see_base_ru      MySQL   %url

%description
MySQL is a true multi-user, multi-threaded SQL (Structured Query
Language) database server. MySQL is a client/server implementation
that consists of a server daemon (mysqld) and many different client
programs/libraries.

The main goals of MySQL are speed, robustness and ease of use.  MySQL
was originally developed because we needed a SQL server that could
handle very big databases with magnitude higher speed than what any
database vendor could offer to us. And since we did not need all the
features that made their server slow we made our own. We have now been
using MySQL since 1996 in a environment with more than 40 databases,
10,000 tables, of which more than 500 have more than 7 million
rows. This is about 200G of data.

The base upon which MySQL is built is a set of routines that have been
used in a highly demanding production environment for many
years. While MySQL is still in development, it already offers a rich
and highly useful function set.

This version allows to use transactions with BDB tables and extended
character set support. See the documentation for more information

%description -l ru_RU.KOI8-R
MySQL -  ,  SQL- (SQL -
  )  . MySQL   
/      mysqld    
   .

 MySQL - ,    . 
MySQL     ,   
       .  
,  MySQL  ,      
  .

  MySQL       
  . .     .

%description -n MySQL-server
MySQL is a true multi-user, multi-threaded SQL (Structured Query
Language) database server. MySQL is a client/server implementation
that consists of a server daemon (mysqld) and many different client
programs/libraries.

The main goals of MySQL are speed, robustness and ease of use.  MySQL
was originally developed because we needed a SQL server that could
handle very big databases with magnitude higher speed than what any
database vendor could offer to us. And since we did not need all the
features that made their server slow we made our own. We have now been
using MySQL since 1996 in a environment with more than 40 databases,
10,000 tables, of which more than 500 have more than 7 million
rows. This is about 200G of data.

The base upon which MySQL is built is a set of routines that have been
used in a highly demanding production environment for many
years. While MySQL is still in development, it already offers a rich
and highly useful function set.

This version allows to use transactions with BDB tables and extended
character set support. See the documentation for more information.

By default, MySQL server runs in safe chrooted environment with own uid and gid.

%description -n MySQL-server-perl
MySQL is a true multi-user, multi-threaded SQL (Structured Query
Language) database server. MySQL is a client/server implementation
that consists of a server daemon (mysqld) and many different client
programs/libraries.
This package contents perl utils for MySQL-server.

%description -n MySQL-server -l ru_RU.KOI8-R
MySQL -  ,  SQL- (SQL -
  )  . MySQL   
/      mysqld    
   .

 MySQL - ,    . 
MySQL     ,   
       .  
,  MySQL  ,      
  .

  MySQL       
  . .     .

%description -n libmysqlclient10
This package contains the shared libraries (*.so*) which certain
languages and applications need to dynamically load and use MySQL.

%description -n libmysqlclient10 -l ru_RU.KOI8-R
      ( *.so*),
     , 
 SQL- MySQL.

%description -n libMySQL-devel
This package contains the development header files and libraries
necessary to develop MySQL client applications.

%see_base

%description -n libMySQL-devel -l ru_RU.KOI8-R
       
 ,    
,   SQL- MySQL.

%see_base_ru

%description -n libMySQL-devel-static
This package contains the development libraries for static linking
necessary to develop MySQL client applications.

%see_base

%description -n libMySQL-devel-static -l ru_RU.KOI8-R
       ,
    ,
  SQL- MySQL.

%see_base_ru

%description -n MySQL-client
This package contains the standard MySQL clients.

%see_base

%description -n MySQL-client -l ru_RU.KOI8-R
       SQL- MySQL

%see_base_ru

%description -n MySQL-bench
This package contains MySQL benchmark scripts and data.

%see_base

%description -n MySQL-bench -l ru_RU.KOI8-R
       
 SQL- MySQL.

%see_base_ru

%description -n MySQL-doc
This package contains MySQL documentation in various formats.

%description -n MySQL-doc -l ru_RU.KOI8-R
     SQL- MySQL  
.

%prep
%setup -q -n mysql-%mysql_version
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
#%patch6 -p1
#%patch7 -p1
%patch8 -p1
%patch9 -p0
%if_enabled gif2png
%patch10 -p1
%endif
%patch11 -p1
%patch12 -p1
%patch13 -p1
%patch14 -p1

# Use local regex.h header.
find -type f -print0 |
	xargs -r0 %__grep -FZl '<regex.h>' -- |
	xargs -r0 %__subst 's,<regex\.h>,"../regex/regex.h",g' --

# Prepare commands list for completion in mysql client.
sed -ne 's/^\(  { "[A-Z][^"]*"\).*/\1, 0, 0, 0, "" },/pg' <sql/lex.h >client/mysql_symbols.inc

find -type d -name CVS -print0 |
	xargs -r0 %__rm -rf --
find -type f -name .cvsignore -print0 |
	xargs -r0 %__rm -f --
%__rm -f Docs/*.{html,info}

chmod -R a-s,go-w sql-bench

%build

# Force HAVE_ERRNO_AS_DEFINE defined to wrong expansion
# of bits/errno.h's definition of errno in my_sys.h
%{!?_enable_debug:%add_optflags %optflags_notraceback}
%add_optflags -D_FILE_OFFSET_BITS=64 -DHAVE_ERRNO_AS_DEFINE -DONE_THREAD
export CXXFLAGS="$RPM_OPT_FLAGS -felide-constructors -fno-exceptions -fno-rtti"

libtoolize --copy --force
aclocal
autoheader
autoconf
automake

# Precache these values to enable /proc-less build.
export \
	FIND_PROC='/bin/ps p $$PID | grep mysqld > /dev/null' \
	CHECK_PID='/bin/kill -0 $$PID > /dev/null 2> /dev/null' \
	#

%configure \
	--localstatedir=%ROOT \
	--enable-assembler \
	--enable-shared \
	--enable-thread-safe-client \
	--without-readline \
	%{subst_with debug} \
	--with-raid \
	--with-extra-charsets=all \
	--with-berkeley-db \
	--with-mysqld-user=%mysqld_user \
	--with-unix-socket-path=%ROOT/mysql.sock \
	--with-comment="%distribution MySQL RPM" \
	#--with-berkeley-db=%prefix \
	#

# Use g++ for linking.
%__subst 's,^CCLD = \$(CC),CCLD = $(CXX),g' *isam/Makefile*

pushd bdb/build_unix
	%__rm -f config.cache
	../dist/configure --prefix=%prefix
popd

# Benchdir does not fit in above model. Maybe a separate bench distribution
%make_build benchdir=$RPM_BUILD_ROOT%_datadir/sql-bench

%install
%__mkdir_p $RPM_BUILD_ROOT{%_bindir,%_sbindir,%_libdir,%_includedir,%_mandir,%_infodir,%_datadir/sql-bench,/var/log/mysql}
%__mkdir_p $RPM_BUILD_ROOT%ROOT/{etc,lib,log,tmp,/var/{nis,yp/binding},db/mysql}
touch $RPM_BUILD_ROOT%ROOT{%_sysconfdir/{hosts,services,{host,nsswitch,resolv}.conf},/var/nis/NIS_COLD_START}

%make_install install DESTDIR=$RPM_BUILD_ROOT \
	localstatedir=$RPM_BUILD_ROOT%ROOT/db \
	benchdir=%_datadir/sql-bench

# Relocate mysql_install_db
%__mv $RPM_BUILD_ROOT%_bindir/mysql_install_db $RPM_BUILD_ROOT%_sbindir

# Relocate libmysqlclient* libraries.
%__mv $RPM_BUILD_ROOT%_libdir/mysql/libmysqlclient* $RPM_BUILD_ROOT%_libdir
%__subst 's,%_libdir/mysql,%_libdir,g' $RPM_BUILD_ROOT%_libdir/*.la

# Install various helper scripts.
%__install -pD -m755 %SOURCE1 $RPM_BUILD_ROOT%_initdir/mysqld
%__install -pD -m644 %SOURCE2 $RPM_BUILD_ROOT%_sysconfdir/logrotate.d/mysql
%__install -pD -m755 %SOURCE3 $RPM_BUILD_ROOT%_sbindir/safe_mysqld
%__install -pD -m755 %SOURCE4 $RPM_BUILD_ROOT%_sbindir/mysqld_wrapper
%__install -pD -m750 %SOURCE6 $RPM_BUILD_ROOT%_sysconfdir/chroot.d/mysql.lib
%__install -pD -m750 %SOURCE7 $RPM_BUILD_ROOT%_sysconfdir/chroot.d/mysql.conf
%__install -pD -m750 %SOURCE8 $RPM_BUILD_ROOT%_sysconfdir/chroot.d/mysql.all

# Install configuration files.
%__install -pD -m644 /dev/null $RPM_BUILD_ROOT%_sysconfdir/my.cnf
%__install -pD -m600 %SOURCE5 $RPM_BUILD_ROOT%ROOT/my.cnf

# Fix \r.
r="$(echo -ne \\r)"
%__grep -lZ "$r\$" $RPM_BUILD_ROOT%_datadir/sql-bench/innotest* |
	xargs -r0 %__subst "s/$r//g" --

# Fixed perl autodetection.
%__grep -EZl '^[[:space:]]*use the ' $RPM_BUILD_ROOT%_bindir/* |
	xargs -r0 %__subst -p 's/\([[:space:]]*\)\(use the \)/\1then \2/g'
	
# Install texinfo documentation.
%__install -m644 $RPM_BUILD_DIR/mysql-%mysql_version/Docs/*.info* $RPM_BUILD_ROOT%_infodir/

%__subst -p 's/\(BUGmysql="\)\([^"]*\)"/\1\2,mysql@packages.altlinux.org"/g' $RPM_BUILD_ROOT%_bindir/mysqlbug

%__mkdir_p $RPM_BUILD_ROOT%_docdir/MySQL-%version/Flags
%__install -p -m644 README support-files/*.cnf Docs/*.html $RPM_BUILD_ROOT%_docdir/MySQL-%version
%__install -p -m644 Docs/Flags/*.gif $RPM_BUILD_ROOT%_docdir/MySQL-%version/Flags
%if_enabled gif2png
gif2png -dO $RPM_BUILD_ROOT%_docdir/MySQL-%version/Flags/*.gif ||
	%__rm -f $RPM_BUILD_ROOT%_docdir/MySQL-%version/Flags/*.gif
%endif

%__rm -f $RPM_BUILD_ROOT%_bindir/safe_mysqld
%__rm -f $RPM_BUILD_ROOT%_datadir/mysql/mysql{-*.spec,-log-rotate,.server}

touch $RPM_BUILD_ROOT%ROOT/log/queries
touch $RPM_BUILD_ROOT/var/log/mysql/info

%post -n libmysqlclient10 -p %post_ldconfig
%postun -n libmysqlclient10 -p %postun_ldconfig

%pre -n MySQL-server
/usr/sbin/groupadd -r -f %mysqld_user
/usr/sbin/useradd -r -g %mysqld_user -d %ROOT -s /dev/null -c "MySQL server" -n %mysqld_user >/dev/null 2>&1 ||:

if [ ! -e %ROOT/my.cnf -a -f /etc/my.cnf -a ! -L /etc/my.cnf -a ! -e /etc/my.cnf.rename ]; then
	%__mv -v /etc/my.cnf /etc/my.cnf.rename &&
	chown 0:0 /etc/my.cnf.rename &&
	chmod 600 /etc/my.cnf.rename ||
	{ echo "Error moving my.cnf" >&2; exit 1; }
fi

%post -n MySQL-server
if [ -f /etc/my.cnf.rename -a ! -L /etc/my.cnf.rename -a ! -e /etc/my.cnf ]; then
	%__mv -fv %ROOT/my.cnf %ROOT/my.cnf.rpmnew &&
	%__mv -v /etc/my.cnf.rename %ROOT/my.cnf &&
	chown 0:0 %ROOT/my.cnf &&
	chmod 600 %ROOT/my.cnf ||
	{ echo "Error moving my.cnf" >&2; %__mv -v /etc/my.cnf.rename /etc/my.cnf; }
fi

%install_info mysql.info
%_sysconfdir/chroot.d/mysql.all force
%__rm -rf %ROOT/dev

if [ $1 = 1 ]; then     
        /sbin/chkconfig --add mysqld       
fi

DATADIR=`/usr/bin/my_print_defaults mysqld |sed -ne 's/^--datadir=\(.*\)/\1/pg' |tail -1`
[ -n "$DATADIR" ] || { echo "Failed to read configuration"; exit 1; }

if [ "$DATADIR" = / ]; then
	# Have to update configuration manually.
	%__subst 's,^datadir=/$,datadir=/db,g' /etc/my.cnf &&
		DATADIR=`/usr/bin/my_print_defaults mysqld |%__sed -ne 's/^--datadir=\(.*\)/\1/pg' |tail -1` ||
		{ echo "Failed to update configuration"; exit 1; }
fi

NEED_RESTART=
if [ -f "%ROOT/mysql/db.frm" -a ! -f "%ROOT$DATADIR/mysql/db.frm" ]; then
	%_initdir/mysqld status &>/dev/null && %_initdir/mysqld stop && NEED_RESTART=1 ||:
	(cd %ROOT
	%__install -d -m750 -o %mysqld_user -g adm ".$DATADIR"
	for d in `find -mindepth 1 -maxdepth 1 -type d |%__grep -Ev '\./(dev|etc|lib|log|tmp|db)$'`; do
		%__mv -i "$d" ".$DATADIR/$d"
	done)
	echo "Database root have been moved to $DATADIR"
fi

# Initiate databases.
%_sbindir/mysql_install_db

# Change permissions to fix any new files.
chown -R %mysqld_user:%mysqld_user "%ROOT$DATADIR/mysql"

# Fix permissions for the permission database so that only the user can read them.
chmod -R g-w,o-rw "%ROOT$DATADIR/mysql"

if [ -n "$NEED_RESTART" ]; then
	%_initdir/mysqld start ||:
else
	%_initdir/mysqld condrestart ||:
fi

%preun -n MySQL-server
%preun_service mysqld

%postun -n MySQL-server
if [ $1 = 0 ]; then
	%__rm -f %ROOT/lib/* %ROOT/var/yp/binding/*
fi

%post -n MySQL-client
%install_info mysql.info

%preun -n MySQL-client
%uninstall_info mysql.info

%files -n libmysqlclient10
%_libdir/*.so.*

%if_disabled compat
%files -n libMySQL-devel
%_bindir/mysql_config
%_bindir/comp_err
%_libdir/*.so
%_libdir/*.la
%_includedir/*

%files -n libMySQL-devel-static
%_libdir/*.a
%_libdir/mysql

%files -n MySQL-client
%_bindir/msql2mysql
%_bindir/mysql
%_bindir/my_print_defaults
%_bindir/mysqlaccess
%_bindir/mysqladmin
%_bindir/mysqlbinlog
%_bindir/mysqlbug
%_bindir/mysqlcheck
%_bindir/mysqld_multi
%_bindir/mysqldump*
%_bindir/mysqlimport
%_bindir/mysqlshow
%_bindir/mysqltest
%_bindir/perror
%_bindir/replace
%_bindir/resolve*
%_mandir/man?/*
%_infodir/*.info*

%files -n MySQL-server-perl
%_bindir/mysql_convert_table_format
%_bindir/mysql_find_rows
%_bindir/mysql_setpermission
%_bindir/mysql_zap
%_bindir/mysqlhotcopy

%files -n MySQL-server
%ghost %config(noreplace,missingok) %_sysconfdir/my.cnf
%config(noreplace) %_initdir/*
%config(noreplace) %_sysconfdir/logrotate.d/*
%config %_sysconfdir/chroot.d/*
%_bindir/*isam*
%_bindir/mysql_fix_privilege_tables
%_sbindir/*
%_datadir/mysql
%attr(750,root,adm) %dir /var/log/mysql
%ghost %verify(not md5 mtime size) /var/log/mysql/*
%dir %_docdir/MySQL-%version
%_docdir/MySQL-%version/README
%_docdir/MySQL-%version/*.cnf

%attr(600,root,root) %config(noreplace,missingok) %ROOT/my.cnf
%attr(3771,root,mysql) %dir %ROOT
%attr(710,root,mysql) %dir %ROOT/lib
%attr(710,root,mysql) %dir %ROOT%_sysconfdir
%ghost %ROOT%_sysconfdir/hosts
%ghost %ROOT%_sysconfdir/services
%ghost %ROOT%_sysconfdir/*.conf
%attr(710,root,mysql) %dir %ROOT/var
%dir %ROOT/var/nis
%ghost %ROOT/var/nis/NIS_COLD_START
%dir %ROOT/var/yp
%dir %ROOT/var/yp/binding
%attr(3770,root,mysql) %dir %ROOT/db
%attr(750,mysql,mysql) %dir %ROOT/db/*
%attr(3770,root,mysql) %dir %ROOT/log
%attr(660,mysql,mysql) %ghost %verify(not md5 mtime size) %ROOT/log/*
%attr(3770,root,mysql) %dir %ROOT/tmp

%files -n MySQL-bench
%_datadir/sql-bench

%files -n MySQL-doc
%dir %_docdir/MySQL-%version
%_docdir/MySQL-%version/*.html
%_docdir/MySQL-%version/Flags
%endif # disabled compat

%changelog
* Wed Sep 17 2003 Dmitry V. Levin <ldv@altlinux.org> 3.23.58-alt1
- Updated to 3.23.58, fixed build.
- Renamed libMySQL to libmysqlclient10.
- Disabled packaging of all subpackages except libmysqlclient10.

* Fri Mar 21 2003 Dmitry V. Levin <ldv@altlinux.org> 3.23.56-alt3
- Fixed my.cnf migration support.

* Tue Mar 18 2003 Dmitry V. Levin <ldv@altlinux.org> 3.23.56-alt2
- Fixed build in environment without /proc.
- Fixed build without libncurses-devel.
- Updated buildrequires.
- server: handle default my.cnf migration.

* Tue Mar 18 2003 Dmitry V. Levin <ldv@altlinux.org> 3.23.56-alt1
- Updated to 3.23.56, redone few patches.

* Tue Mar 11 2003 Dmitry V. Levin <ldv@altlinux.org> 3.23.55-alt3
- load_defaults: do not process untrusted files if executed by root.

* Mon Mar 10 2003 Dmitry V. Levin <ldv@altlinux.org> 3.23.55-alt2
- Packaged %ROOT/my.cnf, owned by root and available to root only,
  to avoid mysql->root possible privilege escalation described by
  Gufino in his Bugtraq posting:
  http://www.securityfocus.com/archive/1/314391
- Changed /etc/my.cnf permissions from 0600 to 0644.
  Check your /etc/my.cnf file and move all sensitive data out there.
- Updated comment in logrotate script, thanks to discussion in
  Sisyphus mailing list:
  http://www.altlinux.ru/pipermail/sisyphus/2003-February/039434.html

* Tue Jan 28 2003 Dmitry V. Levin <ldv@altlinux.org> 3.23.55-alt1
- Updated to 3.23.55.
- Applied docs build fixes from Lenz Grimmer.

* Fri Dec 13 2002 Dmitry V. Levin <ldv@altlinux.org> 3.23.54-alt2
- mysqlbug: fixed contact email address.

* Thu Dec 12 2002 Dmitry V. Levin <ldv@altlinux.org> 3.23.54-alt1
- Updated to 3.23.54.
- Updated chroot patch to new version.
- Added reservedwords.texi (lost in new version).
- Updated interpackage dependencies.
- Adjusted perl dependencies.

* Tue Dec 03 2002 Stanislav Ievlev <inger@altlinux.ru> 3.23.53-alt2
- added server-perl subpackage, to reduce deps on perl of server

* Tue Oct 15 2002 Dmitry V. Levin <ldv@altlinux.org> 3.23.53-alt1
- 3.23.53
- Better debugging support.

* Mon Sep 16 2002 Dmitry V. Levin <ldv@altlinux.org> 3.23.52-alt1
- 3.23.52
- Ensure tzset(3) is called before chroot(2).
- Removed %_sysconfdir/localtime from %ROOT chroot.
- Use subst instead of perl for text substitution.
- Linked with readline-4.3.
- Built with gcc-3.2.

* Wed Jul 03 2002 Dmitry V. Levin <ldv@altlinux.org> 3.23.51-alt2
- Patched to link with libtinfo.

* Fri Jun 14 2002 Dmitry V. Levin <ldv@altlinux.org> 3.23.51-alt1
- 3.23.51
- Fixed typo in safe_mysqld.
- Removed aggressive optimization.

* Sat Apr 27 2002 Dmitry V. Levin <ldv@alt-linux.org> 3.23.50-alt1
- 3.23.50

* Wed Apr 17 2002 Dmitry V. Levin <ldv@alt-linux.org> 3.23.49-alt5
- Fixed recent fix.

* Tue Apr 16 2002 Dmitry V. Levin <ldv@alt-linux.org> 3.23.49-alt4
- Updated chroot (fixed permissions, added NIS/NIS+ support).

* Mon Apr 08 2002 Dmitry V. Levin <ldv@alt-linux.org> 3.23.49-alt3
- Added my_dir.h to libMySQL-devel (#0000701).

* Thu Feb 21 2002 Dmitry V. Levin <ldv@alt-linux.org> 3.23.49-alt2
- Added %ROOT/dev removal from existing configurations.
- Dropped mysql.chroot.log script (unneeded anymore).

* Wed Feb 20 2002 Dmitry V. Levin <ldv@alt-linux.org> 3.23.49-alt1
- 3.23.49.
- Removed /dev from %ROOT.
- Fixed server %%post/%%preun scripts (#0000324).

* Fri Jan 04 2002 Dmitry V. Levin <ldv@alt-linux.org> 3.23.47-alt1
- 3.23.47.

* Thu Dec 13 2001 Dmitry V. Levin <ldv@alt-linux.org> 3.23.46-alt2
- Made gif2png conversion configurable.
- Automatically regenerated buildrequires.

* Mon Dec 03 2001 Dmitry V. Levin <ldv@alt-linux.org> 3.23.46-alt1
- 3.23.46

* Mon Nov 26 2001 Dmitry V. Levin <ldv@alt-linux.org> 3.23.45-alt1
- 3.23.45
- Fixed relocation of libmysqlclient* libraries (#0000145).
- Split html documentation (#0000179).
- Added png pictures to html documentation subpackage.

* Sun Nov 04 2001 Dmitry V. Levin <ldv@alt-linux.org> 3.23.44-alt1
- 3.23.44

* Wed Oct 10 2001 Dmitry V. Levin <ldv@altlinux.ru> 3.23.43-alt1
- 3.23.43
- Patched scripts in MySQL-bench to make them functional (mdk).

* Fri Sep 21 2001 Dmitry V. Levin <ldv@altlinux.ru> 3.23.42-alt1
- 3.23.42
- Updated interpackage dependencies.
- Built with internal db-3.2.9a.

* Fri Apr 27 2001 Dmitry V. Levin <ldv@altlinux.ru> 3.23.33-ipl8mdk
- Fixed mysqld_wrapper to handle server shutdown correctly.
- Relocated mysql_install_db from %_bindir to %_sbindir/
- Updated mysql_install_db to work with chrooted environments.

* Thu Apr 26 2001 Dmitry V. Levin <ldv@altlinux.ru> 3.23.33-ipl7mdk
- Fixed (finally?) server %%postin script to handle recent database move.

* Wed Apr 25 2001 Dmitry V. Levin <ldv@altlinux.ru> 3.23.33-ipl6mdk
- Fixed (again) server %%postin script to handle recent database move.
- Updated PreReqs for server subpackage.

* Tue Apr 24 2001 Dmitry V. Levin <ldv@altlinux.ru> 3.23.33-ipl5mdk
- Updated %%postin script to handle recent database move.

* Sat Apr 21 2001 Alexander Bokovoy <ab@avilink.net> 3.23.33-ipl4mdk
- Fixed bug in datadir handling for chrooted environments.
- MySQL databases moved to $chrootdir/db/
- libMySQL-devel has been transformed to libMySQL-devel and libMySQL-devel-static
- mysql_config has been changed to reflect libMySQL-devel splitting:
    + it returns $libs set to shared ones only when libMySQL-devel-static not installed

* Tue Feb 27 2001 Dmitry V. Levin <ldv@fandra.org> 3.23.33-ipl3mdk
- Fixed dependencies for server subpackage (added PreReqs).
- Moved %_bindir/my_print_defaults utility back to client subpackage.
- Moved texinfo documentation back to client subpackage.
- Fixed %%post/%%preun scripts for proper texinfo documentation (un)installation.

* Sat Feb 24 2001 Alexander Bokovoy <ab@avilink.net> 3.23.33-ipl2mdk
- Proper distribution of utilites along packages
- Fixed texinfo documentation
- Fixed dependencies

* Thu Feb 15 2001 Dmitry V. Levin <ldv@fandra.org> 3.23.33-ipl1mdk
- 3.23.33
- Rewritten startup scripts.
- Ported to new chrooted scheme.
- Changed address for bug reports to devel@alt-linux.org.

* Fri Feb 09 2001 Dmitry V. Levin <ldv@fandra.org> 3.23.32-ipl6mdk
- Libification.
- Fixed texinfo documentation.
- Client: added readline expansion for all symbols.

* Thu Feb 01 2001 Alexander Bokovoy <ab@avilink.net> 3.23.32-ipl5mdk
- New version with correct db3

* Sat Dec 30 2000 Alexander Bokovoy <ab@avilink.net> 3.23.29-ipl4mdk
- MySQL-devel depends on MySQL-shared, not MySQL-client
- Syntax error in mysql_install_db fixed

* Sun Dec 24 2000 Alexander Bokovoy <ab@avilink.net> 3.23.29-ipl3mdk
- Update to 3.23.29
- Rebuild with db3-3.2.3e

* Sun Dec 17 2000 Alexander Bokovoy <ab@avilink.net> 3.23.28-ipl2mdk
- Duplication of files in MySQL/MySQL-Client fixed
- mysql_config moved to MySQL-shared
- Various programs from MySQL package require DBI and DBD::mysql perl modules,
  dependencies fixed
- mysqlbug redirects bug reports to devel@linux.iplabs.ru mailing list
- MyISAM RAID type enabled by default

* Sat Dec 16 2000 Alexander Bokovoy <ab@avilink.net> 3.23.28-ipl1mdk
- Updated to 3.23.28
- SPEC file cleaned and uses now IPL rules
- Russian translations added
- Transactions support with BDB tables
- Bench package now requires perl-DBD-mysql instead of perl-Mysql
- Init script has new status command which displays pids of mysqld processes
- Various C++ fixes against g++ 2.96

* Tue Nov 16 2000 Mikhail Zabaluev <mookid@sigent.ru> 3.23.27-1mdk_mhz
- Updated to 3.23.27
- --with-extra-charsets=all, because we need Cyrillic
- made sure that readline is external
- macroized install-info
- mandrakized init script
- custom logrotate config to rotate *.err logs

* Sat Sep 02 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 3.23.23-1mdk
- Updated to 3.23.23 to correct php segfaults
- Added separate libmysql_r directory; now both a threaded
  and non-threaded library is shipped.

* Tue Aug 09 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 3.23.22-2mdk
- Put libmysqlclient.so in devel package

* Mon Aug 07 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 3.23.22-1mdk
- Updated to 3.23.22
  (this is a beta version, but starting from 3.23.19, the license is
   GPL, so we prefer the beta to the non-GPL stable tree)
- Macroize
- Merged with the spec from David Axmark <davida@mysql.com>
  :Added the support-files/my-example.cnf to the docs directory.
  :Removed devel dependency on base since it is about client
   development.
  :The --enable-assembler switch is now automatically disables on
   platforms there assembler code is unavailable. This should allow
   building this RPM on non i386 systems.

* Tue May 16 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.22.32-6mdk
- Recompile with egcs on alpha.

* Tue Apr 18 2000 Pixel <pixel@mandrakesoft.com> 3.22.32-5mdk
- disable starting of mysql while in install

* Thu Apr 06 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 3.22.32-4mdk
- fix bench perms

* Thu Apr 06 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 3.22.32-3mdk
- cleaned spec file

* Mon Apr 03 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 3.22.32-2mdk
- new group

* Mon Feb 27 2000 Jean-Michel Dault <jmdault@netrevolution.com> 3.22.32-1mdk
- updated to 3.22.32 - security updates

* Wed Jan 19 2000 Jean-Michel Dault <jmdault@netrevolution.com>
- updated to 3.22.30

* Mon Jan  3 2000 Jean-Michel Dault <jmdault@netrevolution.com>
- final cleanup for Mandrake 7

* Mon Jan 3 2000 Jean-Michel Dault <jmdault@netrevolution.com>
- updated to 3.22.29

* Wed Dec 31 1999 Jean-Michel Dault <jmdault@netrevolution.com>
- rebuilt for Mandrake 7.0

* Sat Dec 12 1999 Jean-Michel Dault <jmdault@netrevolution.com>
- updated to 3.22.27

* Wed Sep 1 1999 Jean-Michel Dault <jmdault@netrevolution.com>
- put the shared libs in separate package
- fixed dependancies

* Thu Aug 19 1999 Jean-Michel Dault <jmdault@netrevolution.com>
- added fr locale
- Mandrake adaptations
- Solaris adaptations

* Mon Feb 22 1999 David Axmark <david@detron.se>
- Removed unportable cc switches from the spec file. The defaults can
  now be overridden with environment variables. This feature is used
  to compile the official RPM with optimal (but compiler version
  specific) switches.
- Removed the repetitive description parts for the sub rpms. Maybe add
  again if RPM gets a multiline macro capability.
- Added support for a pt_BR translation. Translation contributed by
  Jorge Godoy <jorge@bestway.com.br>.

* Wed Nov 4 1998 David Axmark <david@detron.se>
- A lot of changes in all the rpm and install scripts. This may even
  be a working RPM :-)

* Sun Aug 16 1998 David Axmark <david@detron.se>
- A developers changelog for MySQL is available in the source RPM. And
  there is a history of major user visible changed in the Reference
  Manual.  Only RPM specific changes will be documented here.
